Skip to content

List signup forms with the lists, fields and branding they use

GET
/api/v1/workspaces/{workspace}/forms
curl --request GET \
--url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/forms \
--header 'Authorization: Bearer <token>'

Permission: subscribers:view

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

OK

Media typeapplication/json
object
branding
required
object
accent
required
string
accentHover
required
string
accentSoft
required
string
accentText
required
string
background
required
string
customFontFamily
required
string
customFontUrl
required
string
font
required
string
Allowed values: plex system custom
initial
required

The letter on the logo tile when there is no logo

string
logo
object
name
required
string
type
required
string
url
required
string
notes
required
Array<string>
onAccent
required
string
poweredBy
required

Show “Sent with ReputeCast” in the footer

boolean
privacyUrl
required
string
publisherName
required
string
customFields
required
Array<object>
object
key
required
string
label
required
string
options
required
Array<string>
type
required
string
Allowed values: text number date boolean select
domain
required
object
checkedAt
string format: date-time
detail
required
string
domain
required
string
status
required
string
Allowed values: none pending verified failed
target
required
string
txtName
required
string
txtValue
required
string
verifiedAt
string format: date-time
forms
required
Array<object>
object
hostedPage
required
boolean
hostedUrl
required
string
id
required
string
kind
required
string
Allowed values: embedded popup hosted push
name
required
string
publicId
required
string
slug
required
string
status
required
string
Allowed values: draft live paused
hostedFormId
required
string
hostedUrl
required
string
lists
required
Array<object>
object
description
required
string
id
required
string
name
required
string
public
required
boolean
subscribed
required
integer format: int64
ownOrigins
required
Array<string>
systemMail
required
boolean
systemProvider
required
string
turnstile
required
object
checkedAt
string format: date-time
error
required

Why Cloudflare rejected the keys, with its error code

string
hasSecret
required
boolean
siteKey
required
string
status
required
string
Allowed values: off ok error

Example

{
"branding": {
"font": "plex",
"logo": {
"name": "acme-mark.svg",
"type": "image/svg+xml"
}
},
"customFields": [
{
"type": "text"
}
],
"domain": {
"domain": "news.acme.io",
"status": "none",
"target": "reputecast.acme.io"
},
"forms": [
{
"kind": "embedded",
"publicId": "frm_8c2e1a",
"status": "draft"
}
],
"turnstile": {
"status": "off"
}
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}